// --- [ global.h ] -----------------------------------------------------------

#define LED_PORT	PORTD
#define LED_DDR	DDRD
#define LEDs 		3								// anpassen an die Zahl der verwendeten LEDs
														// dabei die Pins freischalten !!
#define LED0		0 //1<<PD0					// dies ist RxD !!!
#define LED1		0 //1<<PD1					// siehe auch main() ab Zeile 110
#define LED2		0 //1<<PD2
#define LED3		0 //1<<PD3					// nicht benutzte Pins auf 0 setzen
#define LED4		0 //1<<PD4					// dann werden sie nicht als Ausgang geschaltet
#define LED5		1<<PD5
#define LED6		1<<PD6						// nur diese Pins werden als Ausgang geschaltet
#define LED7		1<<PD7

#define LED_PINS	( LED0 | LED1 | LED2 | LED3 | LED4 | LED5 | LED6 | LED7 )

//#define PWM_MAX	4095							// 76 Hz - siehe ocra_tab.h
#define PWM_MAX	5119							// 60 Hz

#define TWI_BUFFER_SIZE	12

#define FALSE 		0
#define TRUE  		1

//#define HIGHSIDE								// die LEDs sind gegen VCC geschaltet,
														// Pin = low -> LED = AN
														// Auskommentieren wenn nach gnd geschaltet
#ifndef EXTERN
#define EXTERN extern
#endif

EXTERN volatile uint8_t twi_idx;				// gemeinsame Variablen fr TWI und RS232
EXTERN volatile uint8_t rx_flag;
EXTERN uint8_t twi_buffer[TWI_BUFFER_SIZE];
EXTERN uint8_t pwm_busy;                 // Flag fr den TWI-Master, zeigt Aktivitt an

// --- [ eof ] ----------------------------------------------------------------